Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface SearchOptions

All Known Implementing Classes:
  SearchOptionsImpl

    public interface SearchOptions

Search Options interface used to store the search control options for a search operation.

Version:
  $Revision: 1.4 $
Author:

Field Summary
`static int` | `OBJECT_SCOPE`
`static int` | `ONELEVEL_SCOPE`
`static int` | `SUBTREE_SCOPE`

Method Summary
`AttributesSelection` | `getAttributesSelection()` Method to retrieve the value of the 'list of attributes' that has been set as attributes to return by the search operation
`java.lang.String` | `getContextName()` Returns the name of the context for the search.
`int` | `getCountLimit()` Gets the size limitation on the search results for the search operation.
`boolean` | `getReturningObjFlag()` Gets the boolean flag to determine whether objects will be returned as part of the result.
`java.lang.String` | `getSearchFilter()` Gets the search filter for the search.
`int` | `getSearchScope()` Gets the search scope for the search.
`int` | `getTimeLimit()` Gets the timeout in milliseconds for the search operation.
`void` | `reset()` Method to reset the values
`void` | `setContextName(java.lang.String contextName)` Sets the name of the context for the search (where to start searching).
`void` | `setCountLimit(int resultsLimit)` Sets the size limitation on the search results for the search operation.
`void` | `setReturningObjFlag(boolean returnObjFlag)` Sets the boolean flag to enable/disable returning objects returned as part of the result.
`void` | `setSearchFilter(java.lang.String filter)` Sets the search filter for the search.
`void` | `setSearchScope(int scope)` Sets the search scope for the search.
`void` | `setTimeLimit(int timeLimitMilliSec)` Sets the timeout in milliseconds for the search operation.

Field Detail

### OBJECT_SCOPE

    static final int OBJECT_SCOPE

See Also:
  Constant Field Values

### ONELEVEL_SCOPE

    static final int ONELEVEL_SCOPE

See Also:
  Constant Field Values

### SUBTREE_SCOPE

    static final int SUBTREE_SCOPE

See Also:
  Constant Field Values

Method Detail

### getAttributesSelection

    AttributesSelection getAttributesSelection()

  Method to retrieve the value of the 'list of attributes' that has been set as attributes to return by the search operation

  Returns:
    the AttributesSelection object associated with this instance

### setContextName

    void setContextName(java.lang.String contextName)

  Sets the name of the context for the search (where to start searching).

  Parameters:
    `name` - The name of the context for the search.

### getContextName

    java.lang.String getContextName()

  Returns the name of the context for the search. Returns null if context name was not previously set.

### setSearchScope

    void setSearchScope(int scope)

  Sets the search scope for the search.

  Parameters:
    `scope` - The scope of the directory search. Valid values are OBJECT_SCOPE, ONELEVEL_SCOPE, or SUBTREE_SCOPE.
  See Also:
    `OBJECT_SCOPE`, `ONELEVEL_SCOPE`, `SUBTREE_SCOPE`

### getSearchScope

    int getSearchScope()

  Gets the search scope for the search.

### setSearchFilter

    void setSearchFilter(java.lang.String filter)

  Sets the search filter for the search.

  Parameters:
    `filter` - The filter expression to use for the search; may not be null. For example, for LDAP, see RFC 2254.

### getSearchFilter

    java.lang.String getSearchFilter()

  Gets the search filter for the search.

### setTimeLimit

    void setTimeLimit(int timeLimitMilliSec)

  Sets the timeout in milliseconds for the search operation.

  Parameters:
    `timeLimitMilliSec` - The timeout value in milliseconds. If 0 is specified, then the search will wait indefinitely; this is the default.

### getTimeLimit

    int getTimeLimit()

  Gets the timeout in milliseconds for the search operation.

### setCountLimit

    void setCountLimit(int resultsLimit)

  Sets the size limitation on the search results for the search operation.

  Parameters:
    `countLimit` - The maximum number of results returned for the search. If 0 is specified, then return all results if there are any results; this is the default

### getCountLimit

    int getCountLimit()

  Gets the size limitation on the search results for the search operation.

### setReturningObjFlag

    void setReturningObjFlag(boolean returnObjFlag)

  Sets the boolean flag to enable/disable returning objects returned as part of the result.

  Parameters:
    `returnObjFlag` - true to return objects in result. false to return only name and class of objects in result.

### getReturningObjFlag

    boolean getReturningObjFlag()

  Gets the boolean flag to determine whether objects will be returned as part of the result.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD